Jump to content
  • 0
Demasoka

I can't start Ets2MP

Question

5 answers to this question

Recommended Posts

  • 1

Unfortunately not. TruckersMP switched over to 64-Bit a while ago just before the release of ATS. So anyone that has a 32-Bit operating system will no longer be able to play MP unless they upgrade to 64-Bit.

Share this post


Link to post
Share on other sites
  • 0

Hello @Demasoka,

 

We only support 64-BIT.32-BIT is unsupported now.
There's no 32 bit downloadable version at the moment. 
You have to install 64 bit version of your operating system.

 

Edit;Locked&Moved to Solved.

Edited by LIGHTOFGOD
Update.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×